# Class ReadEndsForMarkDuplicates

java.lang.Object
picard.sam.util.PhysicalLocationInt
picard.sam.markduplicates.util.ReadEnds
picard.sam.markduplicates.util.ReadEndsForMarkDuplicates

All Implemented Interfaces:
  `Serializable, Cloneable, PhysicalLocation`

Direct Known Subclasses:
  `ReadEndsForMarkDuplicatesWithBarcodes`

public class ReadEndsForMarkDuplicates extends ReadEnds implements Cloneable
Little struct-like class to hold read pair (and fragment) end data for MarkDuplicatesWithMateCigar

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`duplicateSetSize`
`long`
`read1IndexInFile`
`long`
`read2IndexInFile`
`short`
`score`
`protected static final int`
`SIZE_OF`

### Fields inherited from class ReadEnds

`F, FF, FR, isOpticalDuplicate, libraryId, orientation, orientationForOpticalDuplicates, R, read1Coordinate, read1ReferenceIndex, read2Coordinate, read2ReferenceIndex, readGroup, RF, RR`

### Fields inherited from class PhysicalLocationInt

`tile, x, y`

### Fields inherited from interface PhysicalLocation

`NO_VALUE`

## Constructor Summary

Constructors
Constructor
Description
`ReadEndsForMarkDuplicates()`
`ReadEndsForMarkDuplicates(ReadEndsForMarkDuplicates read)`

## Method Summary

Modifier and Type
Method
Description
`ReadEndsForMarkDuplicates`
`clone()`
`static int`
`getSizeOf()`
`static boolean`
`isSingleEndReadKnownFragment(htsjdk.samtools.SAMRecord rec)`
This method is used to generate the following two metrics: UNPAIRED_DUPS_WITH_TLEN UNPAIRED_DUPS_WITHOUT_TLEN It will return true if and only if the read is single ended and the exact fragment length is known (i.e.
`String`
`toString()`

### Methods inherited from class ReadEnds

`getLibraryId, getOrientationByte, getReadGroup, isPaired, setLibraryId, setReadGroup`

### Methods inherited from class PhysicalLocationInt

`getTile, getX, getY, setTile, setX, setY`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface PhysicalLocation

`hasLocation`

## Field Details

### SIZE_OF

protected static final int SIZE_OF

See Also:
  - Constant Field Values

### score

public short score

### read1IndexInFile

public long read1IndexInFile

### read2IndexInFile

public long read2IndexInFile

### duplicateSetSize

public int duplicateSetSize

## Constructor Details

### ReadEndsForMarkDuplicates

public ReadEndsForMarkDuplicates()

### ReadEndsForMarkDuplicates

public ReadEndsForMarkDuplicates(ReadEndsForMarkDuplicates read)

## Method Details

### getSizeOf

public static int getSizeOf()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### clone

public ReadEndsForMarkDuplicates clone()

Overrides:
  `clone` in class `Object`

### isSingleEndReadKnownFragment

public static boolean isSingleEndReadKnownFragment(htsjdk.samtools.SAMRecord rec)
This method is used to generate the following two metrics: UNPAIRED_DUPS_WITH_TLEN UNPAIRED_DUPS_WITHOUT_TLEN It will return true if and only if the read is single ended and the exact fragment length is known (i.e. it was not quality trimmed)